﻿<%@ Page Language="C#" Async="true" AutoEventWireup="true" %>

<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="Sitecore.IO" %>


<script runat="server">

    public IEnumerable<string> FilesToRemove
    {
        get
        {
            return new List<string>
            {
                "~/App_Config/Include/BlackBird/Sitecore.BlackbirdIntegration.config",
                "~/App_Config/Include/BlackBird/Sitecore.BlackbirdIntegration.WebApi.config",
                "~/bin/Sitecore.BlackbirdIntegration.dll",
                "~/bin/Sitecore.BlackbirdIntegration.WebApi.dll"
            };
        }
    }

    public void RemoveSitecorePackageFiles()
    {
        foreach (var fileToRemove in FilesToRemove)
        {
            try
            {
                var file = FileUtil.MapPath(fileToRemove);
                if (File.Exists(file))
                {
                    Response.Write("Removing: " + fileToRemove);
                    Response.Write("<br/>");
                    File.Delete(file);
                    Response.Write("Removed: " + fileToRemove);
                    Response.Write("<br/>");
                }
                else
                {
                    Response.Write("Can't find file: " + fileToRemove);
                    Response.Write("<br/>");
                }
            }
            catch (Exception exception)
            {
                Response.Write(exception.Message);
            }


        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        RemoveSitecorePackageFiles();
    }

</script>
